package com.xinelu.manage.service.orderevaluateinfo.impl;

import com.xinelu.manage.domain.orderevaluateinfo.OrderEvaluateInfo;
import com.xinelu.manage.mapper.orderevaluateinfo.OrderEvaluateInfoMapper;
import com.xinelu.manage.service.orderevaluateinfo.IOrderEvaluateInfoService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.time.LocalDateTime;
import java.util.List;


/**
 * 预约服务订单和商品订单评价信息Service业务层处理
 *
 * @author xinyilu
 * @date 2022-11-17
 */
@Service
public class OrderEvaluateInfoServiceImpl implements IOrderEvaluateInfoService {
    @Resource
    private OrderEvaluateInfoMapper orderEvaluateInfoMapper;

    /**
     * 查询预约服务订单和商品订单评价信息
     *
     * @param id 预约服务订单和商品订单评价信息主键
     * @return 预约服务订单和商品订单评价信息
     */
    @Override
    public OrderEvaluateInfo selectOrderEvaluateInfoById(Long id) {
        return orderEvaluateInfoMapper.selectOrderEvaluateInfoById(id, null);
    }

    /**
     * 查询预约服务订单和商品订单评价信息列表
     *
     * @param orderEvaluateInfo 预约服务订单和商品订单评价信息
     * @return 预约服务订单和商品订单评价信息
     */
    @Override
    public List<OrderEvaluateInfo> selectOrderEvaluateInfoList(OrderEvaluateInfo orderEvaluateInfo) {
        return orderEvaluateInfoMapper.selectOrderEvaluateInfoList(orderEvaluateInfo);
    }

    /**
     * 新增预约服务订单和商品订单评价信息
     *
     * @param orderEvaluateInfo 预约服务订单和商品订单评价信息
     * @return 结果
     */
    @Override
    public int insertOrderEvaluateInfo(OrderEvaluateInfo orderEvaluateInfo) {
        orderEvaluateInfo.setCreateTime(LocalDateTime.now());
        return orderEvaluateInfoMapper.insertOrderEvaluateInfo(orderEvaluateInfo);
    }

    /**
     * 修改预约服务订单和商品订单评价信息
     *
     * @param orderEvaluateInfo 预约服务订单和商品订单评价信息
     * @return 结果
     */
    @Override
    public int updateOrderEvaluateInfo(OrderEvaluateInfo orderEvaluateInfo) {
        orderEvaluateInfo.setUpdateTime(LocalDateTime.now());
        return orderEvaluateInfoMapper.updateOrderEvaluateInfo(orderEvaluateInfo);
    }

    /**
     * 批量删除预约服务订单和商品订单评价信息
     *
     * @param ids 需要删除的预约服务订单和商品订单评价信息主键
     * @return 结果
     */
    @Override
    public int deleteOrderEvaluateInfoByIds(Long[] ids) {
        return orderEvaluateInfoMapper.deleteOrderEvaluateInfoByIds(ids);
    }

    /**
     * @Author mengkuiliang
     * @Description 根据服务编号查询服务评价列表
     * @Date 2023-10-17 017 11:36
     * @Param [orderNoList]
     * @return java.util.List<com.xinelu.manage.domain.orderevaluateinfo.OrderEvaluateInfo>
     **/
    @Override
    public List<OrderEvaluateInfo> selectOrderEvaluateByServiceNos(List<String> orderNoList, String orderSource) {
        return orderEvaluateInfoMapper.selectOrderEvaluateByServiceNos(orderNoList, orderSource);
    }
}
